Bug 743785 - on-screen navigation buttons for the Editor to be enhanced
on-screen navigation buttons for the Editor to be enhanced
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4-RC
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.4.2
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
: UserStory
Depends On: 743134 743783
Blocks: Zanata-1.4.2
  Show dependency treegraph
 
Reported: 2011-10-05 22:21 EDT by Alex Eng
Modified: 2013-03-03 21:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2011-10-05 22:21:18 EDT
Description of User Story:
Currently the navigation buttons move to:

1. Next String
2. Previous String
3. Next Fuzzy/Untranslated String
4. Previous Fuzzy/Untranslated String
5. First page
6. Last page
7. Next page
8. Previous page

Reference Bug - https://bugzilla.redhat.com/show_bug.cgi?id=740191

The following are needed to complete the set of navigation buttons and keyboard shortcuts generally available in Translation Editors: Options box with radio tick box to choose 1. Next Fuzzy 2. Next Untranslated 3. Both 

1. Next Fuzzy String
2. Previous Fuzzy String
3. Next Untranslated String
4. Previous Untranslated String
5. First String in document (No Shortcut Required)
6. Last String in document (No Shortcut Required)
Comment 1 Alex Eng 2011-10-13 01:00:23 EDT
Story card completed.Look at dependency:
https://bugzilla.redhat.com/show_bug.cgi?id=743134 and https://bugzilla.redhat.com/show_bug.cgi?id=743783
Comment 2 Ding-Yi Chen 2011-10-16 23:34:21 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111014-1658)

Note You need to log in before you can comment on or make changes to this bug.